<?php
require("../../class/connect.php");
include("../../class/db_sql.php");
include("../../class/config.php");
include("../../class/functions.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
$editor=1;
is_login($logininid,$loginin,$loginrnd);
//验证权限
CheckLevel($logininid,$loginin,$classid,"f");
$tid=(int)$_GET['tid'];
$tbname=RepPostVar($_GET['tbname']);
if(!$tid||!$tbname)
{
	printerror("ErrorUrl","history.go(-1)");
}
$url="数据表:[".$dbtbpre."ecms_".$tbname."]&nbsp;->&nbsp;<a href=ListF.php?tid=$tid&tbname=$tbname>字段管理</a>";
$sql=$empire->query("select * from {$dbtbpre}enewsf where tid='$tid' order by myorder,fid");
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>管理字段</title>
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td>位置：<?=$url?></td>
  </tr>
</table>
<form name="form1" method="post" action="../enews.php">
  <table width="98%%" border="0" align="center" cellpadding="3" cellspacing="1">
    <tr> 
      <td><input type="button" name="Submit2" value="新建字段" onclick="self.location.href='AddF.php?enews=AddF&tid=<?=$tid?>&tbname=<?=$tbname?>';"></td>
    </tr>
  </table>
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
    <tr class="header"> 
      <td width="5%" height="25"><div align="center">顺序</div></td>
      <td width="25%" height="25"><div align="center">字段名</div></td>
      <td width="28%"><div align="center">字段标识</div></td>
      <td width="19%">
<div align="center">字段类型</div></td>
      <td width="8%"><div align="center">采集项</div></td>
      <td width="15%" height="25"><div align="center">操作</div></td>
    </tr>
    <?
  while($r=$empire->fetch($sql))
  {
  $ftype=$r[ftype];
  if($r[flen])
  {
	if($r[ftype]!="TEXT"&&$r[ftype]!="MEDIUMTEXT"&&$r[ftype]!="LONGTEXT")
	{
		$ftype.="(".$r[flen].")";
	}
  }
  if($r[iscj])
  {$iscj="是";}
  else
  {$iscj="否";}
  if($r[isadd])
  {
  $do="[<a href='AddF.php?tid=$tid&tbname=$tbname&enews=EditF&fid=".$r[fid]."'>修改</a>]&nbsp;&nbsp;[<a href='../enews.php?tid=$tid&tbname=$tbname&enews=DelF&fid=".$r[fid]."' onclick=\"return confirm('确认要删除？');\">删除</a>]";
  }
  else
  {
  $ftype="系统字段";
  $r[f]="<a title='系统字段'><font color=red>".$r[f]."</font></a>";
  $do="<a href='#ecms' onclick=\"window.open('EditSysF.php?tid=$tid&tbname=$tbname&fid=".$r[fid]."','','width=520,height=520,scrollbars=yes,top=130,left=120');\"><font color=red>[修改表单元素]</font></a>";
  }
  ?>
    <tr bgcolor="ffffff"> 
      <td height="25"><div align="center"> 
          <input name="myorder[]" type="text" id="myorder[]" value="<?=$r[myorder]?>" size="3">
          <input type=hidden name=fid[] value=<?=$r[fid]?>>
        </div></td>
      <td height="25"><div align="center"> 
          <?=$r[f]?>
        </div></td>
      <td><div align="center"> 
          <?=$r[fname]?>
        </div></td>
      <td><div align="center">
          <?=$ftype?>
        </div></td>
      <td><div align="center"> 
          <?=$iscj?>
        </div></td>
      <td height="25"><div align="center"> 
          <?=$do?>
        </div></td>
    </tr>
    <?
	}
	?>
    <tr bgcolor="ffffff"> 
      <td height="25">&nbsp;</td>
      <td height="25" colspan="5"><input type="submit" name="Submit" value="修改字段顺序">
        (值越小越前面)，红色字段名为系统字段 
        <input name="enews" type="hidden" id="enews" value="EditFOrder"> <input name="tid" type="hidden" id="tid" value="<?=$tid?>"> 
        <input name="tbname" type="hidden" id="tbname" value="<?=$tbname?>"></td>
    </tr>
  </table>
</form>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr> 
      <td><div align="center"> [<a href="javascript:window.close();">关闭</a>] </div></td>
    </tr>
  </table>
</body>
</html>
<?
db_close();
$empire=null;
?>
